Bug 1733172 - SELinux is preventing sa-update from 'read' accesses on the file unix.
Summary: SELinux is preventing sa-update from 'read' accesses on the file unix.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 30
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:91c7ef6c81cac1c81b09cad2eb9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 10:18 UTC by dan
Modified: 2019-07-28 01:23 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.3-42.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-28 01:23:48 UTC
Type: ---


Attachments (Terms of Use)

Description dan 2019-07-25 10:18:06 UTC
Description of problem:
SELinux is preventing sa-update from 'read' accesses on the file unix.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sa-update should be allowed read access on the unix file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sa-update' --raw | audit2allow -M my-saupdate
# semodule -X 300 -i my-saupdate.pp

Additional Information:
Source Context                system_u:system_r:spamd_update_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                unix [ file ]
Source                        sa-update
Source Path                   sa-update
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-41.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.18-300.fc30.x86_64 #1 SMP Mon
                              Jul 15 15:42:34 UTC 2019 x86_64 x86_64
Alert Count                   2
First Seen                    2019-07-25 00:00:02 EDT
Last Seen                     2019-07-25 00:12:55 EDT
Local ID                      92c35473-34b7-46d9-a902-28ac299caf0e

Raw Audit Messages
type=AVC msg=audit(1564027975.546:3234): avc:  denied  { read } for  pid=4311 comm="sa-update" name="unix" dev="proc" ino=4026532056 scontext=system_u:system_r:spamd_update_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file permissive=0


Hash: sa-update,spamd_update_t,proc_net_t,file,read

Version-Release number of selected component:
selinux-policy-3.14.3-41.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.1.18-300.fc30.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-07-25 14:55:35 UTC
commit da6544c44b41dc3bd64d333437619f05577d1a96 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jul 25 16:55:08 2019 +0200

    Allow spamd_update_t domain to read network state of system BZ(1733172)

Comment 2 Fedora Update System 2019-07-26 09:18:37 UTC
FEDORA-2019-8c534abad8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c534abad8

Comment 3 Fedora Update System 2019-07-27 01:22:22 UTC
selinux-policy-3.14.3-42.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c534abad8

Comment 4 Fedora Update System 2019-07-28 01:23:48 UTC
selinux-policy-3.14.3-42.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.